Scilab Function

xfpolys - remplit un ensemble de polygones

### Calling Sequence

  `xfpolys(xpols,ypols,[fill])`

### Parameters

- `xpols,ypols` : matrices de même taille (p,n) (points des polygones).
- `fill` : vecteur de taille n.

### Description

`xfpolys` remplit un ensemble de polygones de même taille définis par les deux matrices `xpols` et `ypols` . Les coordonnées de chaque polygone sont stockées dans une colonne de `xpols` et `ypols` .

La couleur pour remplir le polygone numéro i est donné par `fill(i)` :

  -si `fill(i)<0` , le polygone est rempli avec la couleur `-fill(i)` .
  -si `fill(i)=0` , le contour du polygone est dessiné avec le style de ligne courant.
  - si `fill(i)>0` , le polygone est rempli avec la couleur `fill(i)` , puis son contour est dessiné avec le style de ligne courant, et le polygone est fermé si nécessaire.

### Examples

        plot2d(0,0,[-1],"012"," ",[0,-10,210,40])
        x1=[0,10,20,30,20,10,0]';
        y1=[15,30,30,15,0,0,15]';
        xpols=[x1 x1 x1 x1]; xpols=xpols+[0,60,120,180].*.ones(x1);
        ypols=[y1 y1 y1 y1];
        // choix de la couleur
        xset("color",5)
        xfpolys(xpols,ypols,[-1,0,1,2])
        xset("default")

### See Also

`xfpoly` , `xpoly` , `xpolys` ,

### Author

J.Ph.C.